Bug 1277465 (nette/forms)

Summary: Review Request: php-nette-forms - Nette Forms: greatly facilitates web forms
Product: [Fedora] Fedora Reporter: Remi Collet <fedora>
Component: Package ReviewAssignee: Shawn Iwinski <shawn>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, shawn
Target Milestone: ---Flags: shawn: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-12-05 08:12:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1277375, 1277377, 1277395, 1277397, 1277400, 1277407, 1277415    
Bug Blocks: 1277470, 1277476, 1277478, 1277484    
Attachments:
Description Flags
phpcompatinfo-full.log
none
phpcompatinfo-lib.log
none
fedora-review.txt none

Description Remi Collet 2015-11-03 12:13:12 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/3d9c43dfbbecf04232caa0498a07269494c251a8/php/nette/php-nette-forms/php-nette-forms.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-nette-forms-2.3.6-1.remi.src.rpm
Description: 
Nette\Forms greatly facilitates creating and processing web forms.
What it can really do?
- validate sent data both client-side (JavaScript) and server-side
- provide high level of security
- multiple render modes
- translations, i18n

To use this library, you just have to add, in your project:
  require_once '/usr/share/php/Nette/Forms/autoload.php';

Fedora Account System Username: remi

Comment 1 Shawn Iwinski 2015-12-01 21:45:10 UTC
Created attachment 1101100 [details]
phpcompatinfo-full.log

phpCompatInfo version 4.5.1 DB built Oct 11 2015 19:52:03 CEST

Comment 2 Shawn Iwinski 2015-12-01 21:45:36 UTC
Created attachment 1101101 [details]
phpcompatinfo-lib.log

phpCompatInfo version 4.5.1 DB built Oct 11 2015 19:52:03 CEST

Comment 3 Shawn Iwinski 2015-12-01 21:46:06 UTC
Created attachment 1101102 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1277465
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Shawn Iwinski 2015-12-01 21:46:25 UTC
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



No blockers.

===== APPROVED =====

Comment 5 Remi Collet 2015-12-02 06:07:32 UTC
Thanks!

SCM request open on pkgdb.

Comment 6 Gwyn Ciesla 2015-12-02 14:22:13 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-nette-forms

Comment 7 Fedora Update System 2015-12-02 16:25:25 UTC
php-nette-forms-2.3.6-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ad54627cba

Comment 8 Fedora Update System 2015-12-02 16:25:33 UTC
php-nette-forms-2.3.6-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-6820ffdfbe

Comment 9 Fedora Update System 2015-12-02 16:25:33 UTC
php-nette-forms-2.3.6-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-97916dc9c1

Comment 10 Fedora Update System 2015-12-03 04:19:52 UTC
php-nette-forms-2.3.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-nette-forms'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-97916dc9c1

Comment 11 Fedora Update System 2015-12-03 16:01:16 UTC
php-nette-forms-2.3.6-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-nette-forms'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ad54627cba

Comment 12 Fedora Update System 2015-12-03 17:19:09 UTC
php-nette-forms-2.3.6-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-nette-forms'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-6820ffdfbe

Comment 13 Fedora Update System 2015-12-04 01:36:03 UTC
php-nette-forms-2.3.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-nette-forms'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-52c1b202c6

Comment 14 Fedora Update System 2015-12-15 13:24:14 UTC
php-nette-forms-2.3.6-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-12-15 15:21:06 UTC
php-nette-forms-2.3.6-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-12-28 21:26:48 UTC
php-nette-forms-2.3.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-12-29 03:53:51 UTC
php-nette-forms-2.3.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.